Update Sandbox Cluster
PATCH/v1/sandbox_clusters/{sandbox_cluster_id}
Update a Sandbox Cluster’s name and tags
Update Sandbox Cluster
curl https://api.nirvanalabs.io/v1/sandbox_clusters/$SANDBOX_CLUSTER_ID \
-X PATCH \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $NIRVANA_LABS_API_KEY" \
-d '{
"name": "my-sandboxes",
"tags": [
"production",
"agents"
]
}'{
"id": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2025-01-01T00:00:00Z",
"gateway_hostname": "gw.0123456789ab.example.com",
"instance_type": "n1-standard-8",
"name": "my-sandboxes",
"node_count": 3,
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"region": "us-sva-2",
"status": "ready",
"tags": [
"production",
"agents"
],
"updated_at": "2025-01-01T00:00:00Z"
}Returns Examples
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2025-01-01T00:00:00Z",
"gateway_hostname": "gw.0123456789ab.example.com",
"instance_type": "n1-standard-8",
"name": "my-sandboxes",
"node_count": 3,
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"region": "us-sva-2",
"status": "ready",
"tags": [
"production",
"agents"
],
"updated_at": "2025-01-01T00:00:00Z"
}